Loadcurves
Get
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
trading
/
dayahead
/
loadcurve
Get
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/trading/dayahead/loadcurve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/trading/dayahead/loadcurve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/trading/dayahead/loadcurve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"requested_at": "2023-11-07T05:31:56Z",
"query": {
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"day": "2023-12-25",
"keywords": [
"<string>"
]
},
"trade_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>"
},
"data": {
"optimized_load_curve": [
{
"timestamp": "2023-11-07T05:31:56Z",
"energy": 123
}
],
"unoptimized_load_curve": [
{
"timestamp": "2023-11-07T05:31:56Z",
"energy": 123
}
]
}
}{
"metadata": {
"requested_at": "2023-11-07T05:31:56Z",
"query": {
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"day": "2023-12-25",
"keywords": [
"<string>"
]
},
"trade_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>"
},
"trade_id": null
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID of the user's organization
Query Parameters
Available options:
15MIN, 1HOUR Supported Keywords: ['unoptimized_load_curve', 'optimized_load_curve']
Was this page helpful?
Previous
Get By Price ZoneGet load curves aggregated by price zone instead of by organization.
This endpoint aggregates consumption data from all devices with the specified price_zone.
Next
⌘I
Get
